use pyo3::prelude::*;
use serde::{Serialize, Deserialize};

#[pyclass]
#[derive(Serialize, Deserialize, Debug)]
pub struct Post {
    #[pyo3(get, set)]
    pub id: Option<i32>,
    #[pyo3(get,set)]
    pub user_id: i32,   
    #[pyo3(get,set)]
    pub user_name: Option<String>,
    #[pyo3(get, set)]
    pub content: String,
    #[pyo3(get,set)]
    pub created_at: String,


}
